This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 765417 - (GLUSTER-3685) volume set corrupts volfile
volume set corrupts volfile
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 03:20 EDT by shishir gowda
Modified: 2013-12-08 20:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2011-10-03 03:20:56 EDT
Volume set for enabling stat-prefetch corrupted my stripe volfile.

gluster> volume info 
 
Volume Name: new
Type: Stripe
Status: Started
Number of Bricks: 1 x 5 = 5
Transport-type: tcp
Bricks:
Brick1: sng:/export/dir1
Brick2: sng:/export/dir2
Brick3: sng:/export/dir3
Brick4: sng:/export/dir4
Brick5: sng:/export/dir5
Options Reconfigured:
diagnostics.client-log-level: DEBUG
diagnostics.brick-log-level: DEBUG
performance.stat-prefetch: off
gluster> volume set new stat-prefetch on
Set volume successful
gluster> volume info 
 
Volume Name: new
Type: Stripe
Status: Started
Number of Bricks: 1 x 5 = 5
Transport-type: tcp
Bricks:
Brick1: sng:/export/dir1
Brick2: sng:/export/dir2
Brick3: sng:/export/dir3
Brick4: sng:/export/dir4
Brick5: sng:/export/dir5
Options Reconfigured:
diagnostics.client-log-level: DEBUG
diagnostics.brick-log-level: DEBUG
performance.stat-prefetch: on

VOLFILE:

volume new-client-0
    type protocol/client
    option remote-host sng
    option remote-subvolume /export/dir1
    option transport-type tcp
end-volume

volume new-client-1
    type protocol/client
    option remote-host sng
    option remote-subvolume /export/dir2
    option transport-type tcp
end-volume

volume new-client-2
    type protocol/client
    option remote-host sng
    option remote-subvolume /export/dir3
    option transport-type tcp
end-volume

volume new-client-3
    type protocol/client
    option remote-host sng
    option remote-subvolume /export/dir4
    option transport-type tcp
end-volume

volume new-client-4
    type protocol/client
    option remote-host sng
    option remote-subvolume /export/dir5
    option transport-type tcp
end-volume
volume new-stripe-0
    type cluster/stripe
    subvolumes new-client-0
end-volume

volume new-stripe-1
    type cluster/stripe
    subvolumes new-client-1
end-volume

volume new-stripe-2
    type cluster/stripe
    subvolumes new-client-2
end-volume

volume new-stripe-3
    type cluster/stripe
    subvolumes new-client-3
end-volume

volume new-stripe-4
    type cluster/stripe
    subvolumes new-client-4
end-volume

volume new-write-behind
    type performance/write-behind
    subvolumes new-stripe-4
end-volume

volume new-read-ahead
    type performance/read-ahead
    subvolumes new-write-behind
end-volume

volume new-io-cache
    type performance/io-cache
    subvolumes new-read-ahead
end-volume

volume new-quick-read
    type performance/quick-read
    subvolumes new-io-cache
end-volume

volume new-stat-prefetch
    type performance/stat-prefetch
    subvolumes new-quick-read
end-volume

volume new
    type debug/io-stats
    option log-level DEBUG
    option latency-measurement off
    option count-fop-hits off
    subvolumes new-stat-prefetch
end-volume
Comment 1 Anand Avati 2011-10-05 22:21:22 EDT
CHANGE: http://review.gluster.com/554 (Change-Id: Idd9cb9d05122750ac78410b8f5a080104d6c1e0a) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.